Function
goEnd
Iterates to the last position of a container.
goEnd(iterator [, container])
goEnd(finder)
Finder object to go to end in.
Include Headers
seqan/basic.h, seqan/blast.h, seqan/find.h, seqan/graph_types.h
Parameters

iterator | Object that iterates through container. iterator is set to the position behin the last item in container. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, HitIterator, HspIterator, Out-Edge Iterator, Segment, Vertex Iterator
container | Container of iterator. Remarks: If iterator implements Rooted Iterator then container is optional, otherwise container is required.

Remarks
This function is equivalent to iterator = end(container).
Example Programs
Iterator Basics
See Also
atEnd, end, goBegin, goPrevious, goEnd, goNext
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47